Subject: Re: Xilinx TEMAC

From: Frank D Lombardo <[email-masked]>
Date: Thu, 03 Aug 2006 14:53:55 -0400

David H. Lynch Jr. wrote:
> Ameet Patil wrote:
>   
>>  > Did you happen to get an Ethernet mac going on the virtex2 or
>>  > virtex4 with the 2.6 kernel?
>>
>> Nope! :-(
>> Rumour has it that Montavista is soon going to release the source for 
>> 2.6 kernel to run on Xilinx platforms.
>>
>>   
>>     
>     I have 2 different TEMAC's working under 2.6 with a V4.
>
>     The MontaVista driver that has been posted on the list that I think
> is from MontaVista for the PLB TEMAC with very minor modifications to
> get it to work at speeds other than GigaBit.
>
>     A driver I wrote for the LocalLink TEMAC that works limpingly. I
> have been unable to figure out how to get a receive interrupt from the
> LocalLink TEMAC so receives are polled and performance is poor.
>     I have pretty much abandoned work on it  - my client wants the
> smallest possible FPGA footprint BUTanother OS I am porting requires
> interrupt driven  IO and we are looking for a single minimal hardware
> implimentation for all platforms.
>
>     Anyway, if anyone wants the LL TEMAC in its current state I can post it.
>     Currently it sends fine. It drops about 50% of all received packets
> - but that is probably debugging overhead and poll rate tuning.
>    
>
>
>
>
>   
I would be interested looking at the LL TEMAC patch. Hopefully I can 
pick up where you left off. We would require an interrupt driven TEMAC